# PhasicFlow: InsertionRegion< ShapeType > Class Template Reference

InsertionRegion< ShapeType > Class Template Reference
Inheritance diagram for InsertionRegion< ShapeType >:
[legend]
Collaboration diagram for InsertionRegion< ShapeType >:
[legend]

## Public Member Functions

| TypeInfoTemplateNV ("insertionRegion", ShapeType)
| InsertionRegion (const dictionary &dict, const ShapeType &shapes)
| InsertionRegion (const InsertionRegion< ShapeType > &)=default
| InsertionRegion (InsertionRegion< ShapeType > &&)=default
InsertionRegion< ShapeType > & | operator= (const InsertionRegion< ShapeType > &)=default
InsertionRegion< ShapeType > & | operator= (InsertionRegion< ShapeType > &&)=default
auto | clone () const
auto | clonePtr () const
bool | insertParticles (real currentTime, real dt, wordVector &names, realx3Vector &pos, bool &insertionOccured)
Public Member Functions inherited from insertionRegion
| TypeInfoNV ("insertionRegion")
| insertionRegion (const dictionary &dict)
| insertionRegion (const insertionRegion &src)
| insertionRegion (insertionRegion &&)=default
insertionRegion & | operator= (const insertionRegion &)
insertionRegion & | operator= (insertionRegion &&)=default
| ~insertionRegion ()=default
const auto & | setFields () const
const auto & | name () const
bool | read (const dictionary &dict)
bool | write (dictionary &dict) const
Public Member Functions inherited from timeFlowControl
| timeFlowControl (const dictionary &dict)
bool | insertionTime (real currentTime, real dt)
size_t | totalInserted () const
bool | read (const dictionary &dict)
bool | write (dictionary &dict) const

## Static Protected Member Functions

static bool | checkForContact (const realx3Vector &pos, const realVector &diams, const realx3 &p, const real &d)

## Protected Attributes

const ShapeType & | shapes_
Protected Attributes inherited from insertionRegion
word | name_
word | type_
uniquePtr< peakableRegion > | pRegion_ = nullptr
uniquePtr< shapeMixture > | mixture_ = nullptr
uniquePtr< setFieldList > | setFields_ = nullptr
Protected Attributes inherited from timeFlowControl
real | startTime_
real | endTime_
real | interval_
real | rate_
size_t | numInserted_ = 0

## Additional Inherited Members

Protected Member Functions inherited from insertionRegion
bool | readInsertionRegion (const dictionary &dict)
bool | writeInsertionRegion (dictionary &dict) const
Protected Member Functions inherited from timeFlowControl
bool | readTimeFlowControl (const dictionary &dict)
bool | writeTimeFlowControl (dictionary &dict) const
size_t | numberToBeInserted (real currentTime)
size_t | addToNumInserted (size_t newInserted)

## Detailed Description

### template<typename ShapeType>
class pFlow::InsertionRegion< ShapeType >

Definition at line 32 of file InsertionRegion.hpp.

## Constructor & Destructor Documentation

## InsertionRegion() [1/3]

InsertionRegion | ( | const dictionary & | dict,
|  | const ShapeType & | shapes
| ) |  |

Definition at line 41 of file InsertionRegion.cpp.

## InsertionRegion() [2/3]

InsertionRegion | ( | const InsertionRegion< ShapeType > & |  | ) |

default

## InsertionRegion() [3/3]

InsertionRegion | ( | InsertionRegion< ShapeType > && |  | ) |

default

## Member Function Documentation

## checkForContact()

bool checkForContact | ( | const realx3Vector & | pos,
|  | const realVector & | diams,
|  | const realx3 & | p,
|  | const real & | d
| ) |  |

staticprotected

Definition at line 23 of file InsertionRegion.cpp.

References ForAll, and length().

Here is the call graph for this function:

## TypeInfoTemplateNV()

TypeInfoTemplateNV | ( | "insertionRegion" | ,
|  | ShapeType |
| ) |  |

## operator=() [1/2]

InsertionRegion<ShapeType>& operator= | ( | const InsertionRegion< ShapeType > & |  | ) |

default

## operator=() [2/2]

InsertionRegion<ShapeType>& operator= | ( | InsertionRegion< ShapeType > && |  | ) |

default

## clone()

auto clone | ( |  | ) | const

inline

Definition at line 62 of file InsertionRegion.hpp.

## clonePtr()

auto clonePtr | ( |  | ) | const

inline

Definition at line 67 of file InsertionRegion.hpp.

## insertParticles()

bool insertParticles | ( | real | currentTime,
|  | real | dt,
|  | wordVector & | names,
|  | realx3Vector & | pos,
|  | bool & | insertionOccured
| ) |  |

Definition at line 55 of file InsertionRegion.cpp.

References Vector< T, Allocator >::capacity(), Vector< T, Allocator >::clear(), fatalErrorInFunction, pFlow::algorithms::KOKKOS::max(), n, Vector< T, Allocator >::reserve(), and Vector< T, Allocator >::size().

Here is the call graph for this function:

## Member Data Documentation

## shapes_

const ShapeType& shapes_

protected

Definition at line 38 of file InsertionRegion.hpp.

The documentation for this class was generated from the following files:

- src/Particles/Insertion/InsertionRegion/InsertionRegion.hpp
- src/Particles/Insertion/InsertionRegion/InsertionRegion.cpp